const ofilterjs = require('ofilterjs')

// This is filterValue DEMO of ofilterjs
function testFilterValue() {
  const inputFormData = {
    userId: 1008,
    userName: 'test',
    age: 25,
    other: { hobby: "Travel" },
    skillList: [ 'C/C++', 'Go', 'Javascript', 'Objective-C', 'NodeJS', 'PHP' ]
  }

  const postData = ofilterjs.filterValue(inputFormData, {
    user_id: 'userId',
    username: 'userName',
    age: 'age',
    gender: {
      value: 'man'
    },
    hobby: 'other.hobby',
    info: {
      key: 'skillList',
      default: [],
      filter: function(skills, source) {
        const list = []
        skills.forEach(function (name){
          list.push({
            name: name,
            desc: 'This is ' + name
          })
        })
        return list
      }
    }
  })

  console.log(postData)
}

testFilterValue()